Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001868TestLinkNew Featurepublic2008-11-13 14:242009-01-20 05:19
Reportertluser08 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 1 
Fixed in Version1.8 RC 3 
Summary0001868: Ability to assign execution time for a test case
DescriptionWe need to ability to assign execution time for a test case. One during the creation of a test case and another: actual time when executing the test case.

This should help in managing the time taken for running a test.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browserall browsers
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0001670closedfman Contribution - Using Custom Field to obtain estimated time on testplan report. 
has duplicate 0001250closedmhavlat Possibillity to add estimated time needed to execute test case 
child of 0001490closedfman EstimatedExecuteTime and TesterExecuteTime for performance management 

-  Notes
(0004602)
tluser08 (reporter)
2008-11-13 14:25

Tried using custom fields. But it does not solve the purpose.
(0004604)
fman (administrator)
2008-11-13 22:26

explain why you can not solve this with custom fields, please
(0004635)
tluser08 (reporter)
2008-11-15 21:20

If we use custom fields, we will not be able to sum up the total time taken for an execution. Currently I have defined the time taken for each test case in minutes. But we are not able to accumulate the total time for a test plan.
(0004636)
fman (administrator)
2008-11-16 02:14

on 1.8 we have added a user contribution to do something similar
please read carefully config.inc.php to find this info (i will try to help you next week)
(0004673)
tluser08 (reporter)
2008-11-20 22:27

I am using 1.7.4 currently. Should I upgrade to 1.8 to take advantage of this feature ?
(0004675)
fman (administrator)
2008-11-21 00:04

Yes
(0004764)
fdvm (reporter)
2008-12-04 17:08

I do not find this contribution in config.inc.php
(0004765)
fman (administrator)
2008-12-04 17:53

Please see issue 1670, and let us know
(0004771)
tluser08 (reporter)
2008-12-05 10:17

Issue 1670 looks to address one part of the problem, Estimated time. But the actual time is not available. That is one requirement that helps identify if we are alloting the right amount of time for each test case.
(0004779)
fman (administrator)
2008-12-07 18:17

Solution is to add a new custom field called: actual time, that must be filled but user, then we can use same principle used for estimated ime
(0004794)
fman (administrator)
2008-12-09 16:24

Get last CVS code, and test using CF_EXEC_TIME custom field, that must be configured to be displayed and managed ONLY on execution.

- Issue History
Date Modified Username Field Change
2008-11-13 14:24 tluser08 New Issue
2008-11-13 14:24 tluser08 Browser => all browsers
2008-11-13 14:25 tluser08 Note Added: 0004602
2008-11-13 22:26 fman Note Added: 0004604
2008-11-15 21:20 tluser08 Note Added: 0004635
2008-11-16 02:14 fman Note Added: 0004636
2008-11-20 22:27 tluser08 Note Added: 0004673
2008-11-21 00:04 fman Note Added: 0004675
2008-11-21 20:16 mhavlat Status new => feedback
2008-11-28 02:27 schlundus Severity minor => feature request
2008-12-04 17:08 fdvm Note Added: 0004764
2008-12-04 17:53 fman Note Added: 0004765
2008-12-04 17:53 fman Relationship added related to 0001670
2008-12-05 10:17 tluser08 Note Added: 0004771
2008-12-07 18:17 fman Note Added: 0004779
2008-12-09 16:24 fman Note Added: 0004794
2008-12-09 16:24 fman Status feedback => assigned
2008-12-09 16:24 fman Assigned To => fman
2008-12-09 16:26 fman Relationship added child of 0001490
2008-12-18 23:18 fman Status assigned => resolved
2008-12-18 23:18 fman Fixed in Version => next development 1.8 RC3
2008-12-18 23:18 fman Resolution open => fixed
2009-01-20 05:19 mhavlat Status resolved => closed
2009-02-26 16:26 mhavlat Relationship added has duplicate 0001250



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker